package com.zioinfo.mes.plan;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PlanMapper {
    List<MesPlan> findAll(@Param("status") String status, @Param("itemCode") String itemCode);
    MesPlan findById(@Param("id") Long id);
    int insert(MesPlan p);
    int update(MesPlan p);
    int updateStatus(@Param("id") Long id, @Param("status") String status);
    int delete(@Param("id") Long id);
}
